%define _unpackaged_files_terminate_build 1

%def_with doxygen

Name: rapidsvn
Version: 0.9.4
Release: alt3

Summary: wxWidgets-based Subversion client
License: GPL
Group: Development/Other
Url: http://rapidsvn.tigris.org

Source: http://www.rapidsvn.org/download/release/%version/%name-%version.tar.gz
Patch1: %name-0.9.4-link.patch

# From configure.in
BuildRequires: gcc-c++
BuildRequires: libsubversion-devel >= 1.4.2
BuildRequires: wxGTK2u-devel >= 2.4.2
BuildRequires: cppunit-devel
BuildRequires: docbook-style-xsl xsltproc
%{?_with_doxygen:BuildRequires: doxygen graphviz}

BuildRequires: libpango-devel

%description
RapidSVN is a cross-platform GUI front-end for the Subversion revision system 
(http://subversion.tigris.org/) written in C++ using the wxWidgets GUI 
framework.

%package -n libsvncpp
Summary: Subversion C++ API
Group: System/Libraries

%description -n libsvncpp
Subversion C++ shared library.

%package -n libsvncpp-devel
Summary: header files for libsvncpp
Group: Development/C++
Requires: libsvncpp = %version

%description -n libsvncpp-devel
Development files for libsvncpp, a C++ API for Subversion.

%prep
%setup -q
%patch1 -p0
# FIXME: This is a quickfix for the bug that breaks configure script on x86_64
# (see http://rapidsvn.tigris.org/issues/show_bug.cgi?id=511).
%__subst 's,^SVN_LIBS="/usr/local/lib,SVN_LIBS="/usr/local/lib /usr/lib64,' configure.in

%build
autoreconf -fisv
%define xsldir %_datadir/xml/docbook/xsl-stylesheets/manpages/docbook.xsl
%configure --disable-static \
	--with-apr-config=%_bindir/apr-1-config \
	--with-apu-config=%_bindir/apu-1-config \
	--with-cppunit \
	--with-docbook-xsl-manpages=%xsldir \
	--with-manpage \
	%{subst_with doxygen}

%make

%install
%makeinstall

%files
%_bindir/rapidsvn

%files -n libsvncpp
%_libdir/libsvncpp.so.*

%files -n libsvncpp-devel
%_libdir/libsvncpp.so
%dir %_includedir/svncpp
%_includedir/svncpp/*.hpp

%changelog
* Fri May 18 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.4-alt3
- another way to fix building on x86_64. 

* Tue Apr 17 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.4-alt2
- fixed building on x86_64.

* Fri Apr 06 2007 Alexey Rusakov <ktirf@altlinux.org> 0.9.4-alt1
- new version (0.9.4)
- spec cleanup
- added 'with doxygen' switch, enabled by default

* Sun Nov 19 2006 Alex V. Myltsev <avm@altlinux.ru> 0.9.3-alt1
- Initial build for Sisyphus.

